import request from '@/utils/request';


/**
 * @data 查询参数 获取钱包余额
 */
export function getWalletBalanceAPI(data) {
  return request({
    url: '/smart-canteen/acc_info/wallet/balance',
    method: 'post',
    data
  })
}


/**
 * @data 查询参数 获取评价列表
 */
export function canteenEvaluateListAPI(data) {
  return request({
    url: '/smart-canteen/basic_canteen_evaluate/list',
    method: 'get',
    params: data
  })
}






/**
 * @data 用户获取通知消息列表
 */
export function updateDetailInfoCasualForAppApi(data) {
  return request({
    url: '/smart-canteen/custCasual/updateDetailInfoCasualForApp',
    method: 'post',
    data
  })
} 
/**
 * @data 用户获取通知消息列表
 */
export function queryUserInformApi(data) {
  return request({
    url: '/system/notice/list',
    method: 'get',
    params:data
  })
}

/**
 * @data 获取未读消息数量
 */
export function queryUnreadInformNumApi(data) {
  return request({
    url: '/smart-canteen/api/v2/applet/inform/queryUnreadInformNum',
    method: 'post',
    data
  })
}
 
/**
 * @data 修改通知状态
 */
export function updateNoticeStatusApi(data) {
  return request({
    url: '/smart-canteen/api/v2/applet/inform/updateStatus',
    method: 'post',
    data
  })
}
/**
 * @data 查询人脸照片地址和状态
 */
export function queryFacePhotoApi(data) {
  return request({
    url: '/smart-canteen/api/v4/app/custInfo/queryFacePhoto',
    method: 'post',
    data
  })
}
/**
 * @data 小程序保存人脸图片
 */
export function uploadPhotoGenCodeForAppApi(data) {
  return request({
    url: '/smart-canteen/userFace/uploadUserFace',
    method: 'post',
    data
  })
}

/**
 * @data 移动端卡片管理 - web端卡片管理
 */
export function getCardListApi(data) {
  return request({
    url: '/smart-canteen/acc_card/list',
    method: 'get',
    params:data
  })
}

/**
 * @data 移动端卡片管理 - 挂失 
 */
export function lossCardApi(data) {
  return request({
    url: '/smart-canteen/acc_card/loss',
    method: 'post',
    data
  })
}
/**
 * @data 移动端卡片管理 - 解挂
 */
export function cancelLossCardApi(data) {
  return request({
    url: '/smart-canteen/acc_card/relieve',
    method: 'post',
    data
  })
}




//获取食堂列表
export function getAllCanteenStallApi(data) {
  return request({
    url: '/smart-canteen/basic_canteen/listAll',
    method: 'get',
    params:data
  })
}
//通过食堂查询档口
export function getStallByCanteenApi(data) {
  return request({
    url: '/smart-canteen/basic_stall/listAll',
    method: 'get',
    params:data
  })
}


// 评价及投诉建议
//投诉建议（提交）
export function postCanteenPlaintApi(data) {
  return request({
    url: '/smart-canteen/basic_canteen_suggestion',
    method: 'post',
    data
  })
}



//投诉建议（历史记录）
export function getqueryPlaintApi(data) {
  return request({
    url: '/smart-canteen/basic_canteen_suggestion/list',
    method: 'get',
    params:data
  })
} 


//重新绑定手机号
export function rebindMobileApi(data) {
  return request({
    url: '/smart-canteen/custInfo/rebind/mobile',
    method: 'post',
    data
  })
} 




